/**
 * @function matchAnyProp
 */

"use strict";

/** @lends matchAnyProp */
function matchAnyProp(data, matching) {
    var keys = Object.keys(data || {});
    for (var i = 0, len = keys.length; i < len; i++) {
        var key = keys[i],
            val = data[key];
        var hit = String(val).match(matching);
        if (hit) {
            return true;
        }
    }
    return false;
}

module.exports = matchAnyProp;
